Package org.h2.result

# Interface ResultTarget

All Known Implementing Classes:
  `Insert`, `LocalResult`, `SimpleResult`

public interface ResultTarget
A object where rows are written to.

## Method Summary

Modifier and Type
Method
Description
`void`
`addRow(Value... values)`
Add the row to the result set.
`long`
`getRowCount()`
Get the number of rows.
`void`
`limitsWereApplied()`
A hint that sorting, offset and limit may be ignored by this result because they were applied during the query.

## Method Details

### addRow

void addRow(Value... values)
Add the row to the result set.

Parameters:
  `values` - the values

### getRowCount

long getRowCount()
Get the number of rows.

Returns:
  the number of rows

### limitsWereApplied

void limitsWereApplied()
A hint that sorting, offset and limit may be ignored by this result because they were applied during the query. This is useful for WITH TIES clause because result may contain tied rows above limit.